io.agora.rtc

## Class EncryptionConfig

- java.lang.Object
- - io.agora.rtc.EncryptionConfig

-     public class EncryptionConfig
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte[]` | `encryptionKdfSalt`
    `private java.lang.String` | `encryptionKey`
    `private int` | `encryptionMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptionConfig()`
    `EncryptionConfig(int encryptionMode, java.lang.String encryptionKey, byte[] encryptionKdfSalt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncryptionKdfSalt()`
    `java.lang.String` | `getEncryptionKey()`
    `int` | `getEncryptionMode()`
    `void` | `setEncryptionKdfSalt(byte[] encryptionKdfSalt)`
    `void` | `setEncryptionKey(java.lang.String encryptionKey)`
    `void` | `setEncryptionMode(int encryptionMode)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### encryptionMode

          private int encryptionMode

    - #### encryptionKey

          private java.lang.String encryptionKey

    - #### encryptionKdfSalt

          private byte[] encryptionKdfSalt

  - ### Constructor Detail

    - #### EncryptionConfig

          public EncryptionConfig()

    - #### EncryptionConfig

          public EncryptionConfig(int encryptionMode,
                                  java.lang.String encryptionKey,
                                  byte[] encryptionKdfSalt)

  - ### Method Detail

    - #### getEncryptionMode

          public int getEncryptionMode()

    - #### setEncryptionMode

          public void setEncryptionMode(int encryptionMode)

    - #### getEncryptionKey

          public java.lang.String getEncryptionKey()

    - #### setEncryptionKey

          public void setEncryptionKey(java.lang.String encryptionKey)

    - #### getEncryptionKdfSalt

          public byte[] getEncryptionKdfSalt()

    - #### setEncryptionKdfSalt

          public void setEncryptionKdfSalt(byte[] encryptionKdfSalt)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`